/*
    uart programmer for Cypress PSoC.
    Input from and output to the serial port of the PSoC bootloader.
    Copyright (C) 2015  Michael Stickel (michael@cubic.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef DEFINED_PSOC_PROGRAMMER_UART
#define DEFINED_PSOC_PROGRAMMER_UART

int psoc_write(const unsigned char * _buffer, const int _size);
int psoc_read(unsigned char * _buffer, const int _size);
int open_psoc(const char * _deviceFilename);

#endif // DEFINED_PSOC_PROGRAMMER_UART
